NKJPSentenceSampleStream (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.formats.nkjp

## Class NKJPSentenceSampleStream

- java.lang.Object
- - opennlp.tools.formats.nkjp.NKJPSentenceSampleStream

- All Implemented Interfaces:
    AutoCloseable, ObjectStream<SentenceSample>

      public class NKJPSentenceSampleStream
      extends Object
      implements ObjectStream<SentenceSample>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SentenceSample` | `read()` Returns the next object.
    `void` | `reset()` Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.ObjectStream

      `close`

- - ### Method Detail

    - #### read

          public SentenceSample read()
                              throws IOException

      Description copied from interface: `ObjectStream`
      Returns the next object. Calling this method repeatedly until it returns null will return each object from the underlying source exactly once.
      Specified by:
        `read` in interface `ObjectStream<SentenceSample>`
      Returns:
        the next object or null to signal that the stream is exhausted
      Throws:
        `IOException` - if there is an error during reading

    - #### reset

          public void reset()

      Description copied from interface: `ObjectStream`
      Repositions the stream at the beginning and the previously seen object sequence will be repeated exactly. This method can be used to re-read the stream if multiple passes over the objects are required. The implementation of this method is optional.
      Specified by:
        `reset` in interface `ObjectStream<SentenceSample>`

Copyright © 2026 The Apache Software Foundation. All rights reserved.